@tailwind base;
@tailwind components;
@tailwind utilities;
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@500&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none !important;
  font-family: 'Inter', sans-serif;
}

@layer components {
  .item-left-bar {
    @apply flex cursor-pointer flex-row items-center space-x-3 w-full rounded-lg pb-2 text-lg font-medium text-gray-600 transition ease-in-out hover:-translate-y-1 hover:bg-gray-500 hover:text-white;
  }
  .big-box {
    @apply z-50 flex flex-col min-h-screen p-3 xl:p-5 overflow-hidden;
  }
  .input-style {
    @apply border-none rounded-md bg-[#fbfbfb] py-3 pl-3 pr-10 text-base leading-5 ;
  }
  .grid-layout {
    @apply w-full grid grid-cols-2 md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5 gap-2.5 lg:gap-y-4;
  }
  .form {
    @apply flex justify-center px-2 mx-2 lg:mx-0 self-center z-50 max-w-[26rem] bg-white rounded-xl bg-opacity-70 backdrop-filter backdrop-blur-md;
  }
  .dark-bottom-card {
    background: linear-gradient(
      0deg,
      #000000e6 0%,
      #fafafa00 90%
    );
  }
  .right-component {
    @apply xl:ml-56 p-3 md:p-6 lg:px-4
  }
}

@layer animation {
  .text-animation {
    @apply flex items-center justify-center text-center font-semibold text-xl;
  }
}

@keyframes shine {
  to {
    background-position: right -40px top 0;
  }
}
@keyframes stripes {
  100% {
    background-position: 20px 0, 20px 0, 20px 0;
  }
}
.slick-dots {
  bottom: 2;
}
.text-effect {
  align-content: center;
  background: linear-gradient(45deg, #d350db, teal, #d350db);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: 20px 20px;
  background-position: 0 0;
  animation: stripes 1s linear infinite;
}
